/**
 * Copyright (C) 2001-2003 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.perseus.persistence.api;

/**
 * It defines a manager of WorkingSet.
 *
 * @author S.Chassande-Barrioz
 */
public interface WorkingSetManager {

	/**
	 * creates a working set
	 * @param userObject can be an external user depending on the
	 * personnality.
	 * @return a new WorkingSet
	 * @throws PersistenceException
	 */
	WorkingSet createWS(Object userObject)
			throws PersistenceException;

	/**
	 * creates a working set
	 * @param userObject can be an external user depending on the
	 * personnality.
	 * @param workingSetType is a type of the working set.
	 * @return a new WorkingSet
	 * @throws PersistenceException
	 */
	WorkingSet createWS(Object userObject,
								Object workingSetType)
			throws PersistenceException;

	/**
	 * 
	 * @param ws
	 */
	void closeWS(WorkingSet ws);
}
